Bug 240120 - Wrong init script
Summary: Wrong init script
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On: 240118
Blocks: 237789
TreeView+ depends on / blocked
 
Reported: 2007-05-15 11:53 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:02 UTC (History)
1 user (show)

Fixed In Version: 4.2.4p2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 14:04:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Marciniszyn 2007-05-15 11:53:52 UTC
+++ This bug was initially created as a clone of Bug #240118 +++

Description of problem:
Init script returns wrong exit codes and does not invocate status command correctly.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. service network stop
2. service network start/status
3. echo $?
  
Actual results:
0

Expected results:
non-zero exit code/correct status code.

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 Miroslav Lichvar 2007-05-22 15:00:27 UTC
Fixed in ntp-4.2.4p0-3.fc8. Thanks.

Comment 2 Fedora Update System 2007-06-21 20:02:48 UTC
ntp-4.2.4p2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-06-29 14:03:56 UTC
ntp-4.2.4p2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.